## org.eclipse.amp.amf.adata.impl
Class RunImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.amp.amf.adata.impl.RunImpl

All Implemented Interfaces:
  Run, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class RunImpl

extends org.eclipse.emf.ecore.impl.FlatEObjectImpl
implements Run

An implementation of the model object 'Run'.

The following features are implemented:

- `Model`
- `Started`
- `Finished`
- `Name`
- `Parameter Sets`
- `Measurements`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected java.util.Date` `finished` The cached value of the '`Finished`' attribute.
`protected static java.util.Date` `FINISHED_EDEFAULT` The default value of the '`Finished`' attribute.
`protected org.eclipse.emf.common.util.EList<Measurement>` `measurements` The cached value of the '`Measurements`' containment reference list.
`protected SContext` `model` The cached value of the '`Model`' reference.
`protected java.lang.String` `name` The cached value of the '`Name`' attribute.
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute.
`protected org.eclipse.emf.common.util.EList<ParameterSet>` `parameterSets` The cached value of the '`Parameter Sets`' containment reference list.
`protected java.util.Date` `started` The cached value of the '`Started`' attribute.
`protected static java.util.Date` `STARTED_EDEFAULT` The default value of the '`Started`' attribute.

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `RunImpl()`

Method Summary
`SContext` `basicGetModel()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.util.Date` `getFinished()`
`org.eclipse.emf.common.util.EList<Measurement>` `getMeasurements()`
`SContext` `getModel()`
`java.lang.String` `getName()`
`org.eclipse.emf.common.util.EList<ParameterSet>` `getParameterSets()`
`java.util.Date` `getStarted()`
`void` `setFinished(java.util.Date newFinished)`
`void` `setModel(SContext newModel)`
`void` `setName(java.lang.String newName)`
`void` `setStarted(java.util.Date newStarted)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### model

    protected SContext model

  The cached value of the '`Model`' reference.

  See Also:
    `getModel()`

### STARTED_EDEFAULT

    protected static final java.util.Date STARTED_EDEFAULT

  The default value of the '`Started`' attribute.

  See Also:
    `getStarted()`

### started

    protected java.util.Date started

  The cached value of the '`Started`' attribute.

  See Also:
    `getStarted()`

### FINISHED_EDEFAULT

    protected static final java.util.Date FINISHED_EDEFAULT

  The default value of the '`Finished`' attribute.

  See Also:
    `getFinished()`

### finished

    protected java.util.Date finished

  The cached value of the '`Finished`' attribute.

  See Also:
    `getFinished()`

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`

### parameterSets

    protected org.eclipse.emf.common.util.EList<ParameterSet> parameterSets

  The cached value of the '`Parameter Sets`' containment reference list.

  See Also:
    `getParameterSets()`

### measurements

    protected org.eclipse.emf.common.util.EList<Measurement> measurements

  The cached value of the '`Measurements`' containment reference list.

  See Also:
    `getMeasurements()`

Constructor Detail

### RunImpl

    protected RunImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getModel

    public SContext getModel()

  Specified by:
    `getModel` in interface `Run`
  Returns:
    the value of the 'Model' reference.
  See Also:
    `Run.setModel(SContext)`, `DataPackage.getRun_Model()`

### basicGetModel

    public SContext basicGetModel()

### setModel

    public void setModel(SContext newModel)

  Specified by:
    `setModel` in interface `Run`
  Parameters:
    `newModel` - the new value of the 'Model' reference.
  See Also:
    `Run.getModel()`

### getStarted

    public java.util.Date getStarted()

  Specified by:
    `getStarted` in interface `Run`
  Returns:
    the value of the 'Started' attribute.
  See Also:
    `Run.setStarted(Date)`, `DataPackage.getRun_Started()`

### setStarted

    public void setStarted(java.util.Date newStarted)

  Specified by:
    `setStarted` in interface `Run`
  Parameters:
    `newStarted` - the new value of the 'Started' attribute.
  See Also:
    `Run.getStarted()`

### getFinished

    public java.util.Date getFinished()

  Specified by:
    `getFinished` in interface `Run`
  Returns:
    the value of the 'Finished' attribute.
  See Also:
    `Run.setFinished(Date)`, `DataPackage.getRun_Finished()`

### setFinished

    public void setFinished(java.util.Date newFinished)

  Specified by:
    `setFinished` in interface `Run`
  Parameters:
    `newFinished` - the new value of the 'Finished' attribute.
  See Also:
    `Run.getFinished()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Run`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `Run.setName(String)`, `DataPackage.getRun_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `Run`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `Run.getName()`

### getParameterSets

    public org.eclipse.emf.common.util.EList<ParameterSet> getParameterSets()

  Specified by:
    `getParameterSets` in interface `Run`
  Returns:
    the value of the 'Parameter Sets' containment reference list.
  See Also:
    `DataPackage.getRun_ParameterSets()`

### getMeasurements

    public org.eclipse.emf.common.util.EList<Measurement> getMeasurements()

  Specified by:
    `getMeasurements` in interface `Run`
  Returns:
    the value of the 'Measurements' containment reference list.
  See Also:
    `DataPackage.getRun_Measurements()`, `Measurement.getRun()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`